## r-cran-waldo 0.2.3

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.2.3
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Compare complex R objects and reveal the key
    differences.  Designed particularly for use in testing packages where
    being able to quickly isolate key differences makes understanding test
    failures much easier.
License: MIT + file LICENSE
URL: https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Imports: cli, diffobj, fansi, glue, methods, rematch2, rlang, tibble
Suggests: testthat, covr, R6
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2020-11-09 14:55:30 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-11-09 16:30:02 UTC

=== debian/changelog ===
r-cran-waldo (0.2.3-2) unstable; urgency=medium

  * Team Upload.
  * Harden dependency on r-cran-testthat (Fixes debci)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 26 Nov 2020 16:26:30 +0530

r-cran-waldo (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 13:36:36 +0000

r-cran-waldo (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:43:02 +0100

r-cran-waldo (0.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:31:11 +0200

r-cran-waldo (0.2.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 19 Sep 2020 22:32:00 +0200

r-cran-waldo (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #969900)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 15:52:53 +0200

=== debian/control ===
Source: r-cran-waldo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-diffobj,
               r-cran-fansi,
               r-cran-glue,
               r-cran-rematch2,
               r-cran-rlang,
               r-cran-tibble
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
Homepage: https://cran.r-project.org/package=waldo
Rules-Requires-Root: no

Package: r-cran-waldo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: find differences between R objects
 Compare complex R objects and reveal the key
 differences.  Designed particularly for use in testing packages where
 being able to quickly isolate key differences makes understanding test
 failures much easier.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat (>= 3.0.0~)
Restrictions: allow-stderr

## r-cran-waldo 0.3.1

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.3.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Compare complex R objects and reveal the key
    differences.  Designed particularly for use in testing packages where
    being able to quickly isolate key differences makes understanding test
    failures much easier.
License: MIT + file LICENSE
URL: https://waldo.r-lib.org, https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Imports: cli, diffobj (>= 0.3.4), fansi, glue, methods, rematch2, rlang
        (>= 0.4.10), tibble
Suggests: testthat (>= 3.0.0), covr, R6, withr, xml2
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-09-14 17:58:24 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-09-14 18:20:02 UTC

=== debian/changelog ===
r-cran-waldo (0.3.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

  [ Nilesh Patra ]
  * d/t/control: Add Test-Depends on r-cran-xml2

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Sep 2021 20:29:44 +0530

r-cran-waldo (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 09:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                dh-r,
                r-base-dev,
                r-cran-cli,
-               r-cran-diffobj,
+               r-cran-diffobj (>= 0.3.4),
                r-cran-fansi,
                r-cran-glue,
                r-cran-rematch2,
-               r-cran-rlang,
+               r-cran-rlang (>= 0.4.10),
                r-cran-tibble
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
 Homepage: https://cran.r-project.org/package=waldo

## r-cran-waldo 0.4.0

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.4.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Compare complex R objects and reveal the key differences.
    Designed particularly for use in testing packages where being able to
    quickly isolate key differences makes understanding test failures much
    easier.
License: MIT + file LICENSE
URL: https://waldo.r-lib.org, https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Imports: cli, diffobj (>= 0.3.4), fansi, glue, methods, rematch2, rlang
        (>= 1.0.0), tibble
Suggests: covr, R6, testthat (>= 3.0.0), withr, xml2
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-03-16 15:49:14 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-03-16 22:20:04 UTC

=== debian/changelog ===
r-cran-waldo (0.4.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.4.0

 -- Nilesh Patra <nilesh@debian.org>  Sun, 20 Mar 2022 02:32:58 +0530

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/waldo_([-\d.]*)\.tar\.gz

## r-cran-waldo 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: waldo
 Title: Find Differences Between R Objects
-Version: 0.4.0
+Version: 0.5.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
     person("RStudio", role = c("cph", "fnd"))
@@ -18,11 +18,11 @@
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-03-16 15:49:14 UTC; hadleywickham
+Packaged: 2023-05-08 21:54:20 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-03-16 22:20:04 UTC
+Date/Publication: 2023-05-08 22:20:02 UTC

=== debian/changelog ===
r-cran-waldo (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 15:13:44 +0200

## r-cran-waldo 0.5.2

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.5.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Compare complex R objects and reveal the key differences.
    Designed particularly for use in testing packages where being able to
    quickly isolate key differences makes understanding test failures much
    easier.
License: MIT + file LICENSE
URL: https://waldo.r-lib.org, https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Depends: R (>= 3.6)
Imports: cli, diffobj (>= 0.3.4), fansi, glue, methods, rematch2, rlang
        (>= 1.0.0), tibble
Suggests: covr, R6, testthat (>= 3.0.0), withr, xml2
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-11-01 22:05:31 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2023-11-02 13:10:02 UTC

=== debian/changelog ===
r-cran-waldo (0.5.2-1build1) noble; urgency=medium

  * Rebuild against 'armhf -fstack-clash-protection breakage rebuild
    with fixed dpkg'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 11:12:30 +0100

r-cran-waldo (0.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-waldo
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
+Homepage: https://cran.r-project.org/package=waldo
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,13 +16,9 @@
                r-cran-fansi,
                r-cran-glue,
                r-cran-rematch2,
-               r-cran-rlang (>= 0.4.10),
+               r-cran-rlang (>= 1.0.0),
                r-cran-tibble
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
-Homepage: https://cran.r-project.org/package=waldo
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-waldo
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-r6,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-waldo 0.5.3

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.5.3
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Compare complex R objects and reveal the key differences.
    Designed particularly for use in testing packages where being able to
    quickly isolate key differences makes understanding test failures much
    easier.
License: MIT + file LICENSE
URL: https://waldo.r-lib.org, https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Depends: R (>= 3.6)
Imports: cli, diffobj (>= 0.3.4), glue, methods, rematch2, rlang (>=
        1.0.0), tibble
Suggests: covr, R6, testthat (>= 3.0.0), withr, xml2
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-08-23 20:40:36 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-08-23 22:00:02 UTC

=== debian/changelog ===
r-cran-waldo (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 10:47:51 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
 Homepage: https://cran.r-project.org/package=waldo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,
                r-cran-diffobj (>= 0.3.4),
-               r-cran-fansi,
                r-cran-glue,
                r-cran-rematch2,
                r-cran-rlang (>= 1.0.0),

## r-cran-waldo 0.6.1

=== DESCRIPTION ===
Package: waldo
Title: Find Differences Between R Objects
Version: 0.6.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Compare complex R objects and reveal the key differences.
    Designed particularly for use in testing packages where being able to
    quickly isolate key differences makes understanding test failures much
    easier.
License: MIT + file LICENSE
URL: https://waldo.r-lib.org, https://github.com/r-lib/waldo
BugReports: https://github.com/r-lib/waldo/issues
Depends: R (>= 4.0)
Imports: cli, diffobj (>= 0.3.4), glue, methods, rlang (>= 1.1.0)
Suggests: bit64, R6, S7, testthat (>= 3.0.0), withr, xml2
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-07 15:32:32 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-11-07 20:50:01 UTC

=== debian/changelog ===
r-cran-waldo (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * d/test/control: addes r-cran-s7 to the dependencies.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 12 Feb 2025 11:57:04 +0100

r-cran-waldo (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sun, 24 Nov 2024 13:42:31 +0900

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,7 @@
                r-cran-cli,
                r-cran-diffobj (>= 0.3.4),
                r-cran-glue,
-               r-cran-rematch2,
-               r-cran-rlang (>= 1.0.0),
-               r-cran-tibble
+               r-cran-rlang (>= 1.1.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-waldo

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
        r-cran-r6,
        r-cran-s7,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-waldo 0.6.2

=== debian/changelog ===
r-cran-waldo (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 14:21:25 +0900

=== debian/control ===
Source: r-cran-waldo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-diffobj,
               r-cran-glue,
               r-cran-rlang (>= 1.1.0),
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waldo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waldo.git
Homepage: https://cran.r-project.org/package=waldo
Rules-Requires-Root: no

Package: r-cran-waldo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: find differences between R objects
 Compare complex R objects and reveal the key
 differences.  Designed particularly for use in testing packages where
 being able to quickly isolate key differences makes understanding test
 failures much easier.
